


function Escape()
    KEY()
    HMC()
    --ANP("Jack1","ignoreMovePlatform",1)
    CMU("CS_Escape")
    ANP("Santa1","ignoreMovePlatform",1)
    ANP("Chako1","ignoreMovePlatform",1)
    ANP("Sue1","ignoreMovePlatform",1)
    ANP("Toroko1","ignoreMovePlatform",1)
    WAI(16)
    ANP("")
    ANP("Santa1","walk",1)
    ANP("Chako1","walk",1)
    ANP("Sue1","walk",1)
    ANP("Toroko1","walk",1)
    ANP("Pushcart1","move",1)
    FON("Camera0",1)
    FAI(3)
    WAI(16*7)
    SNP("CS_fallblock",36,-2,0,"mainLayer","FallBlock1")
    WAI(64)
    ANP("FallBlock1",0,1)--固定
    WAI(32)
    ANP("Santa1","normal",1)
    ANP("Chako1","normal",1)
    ANP("Sue1","normal",1)
    ANP("Toroko1","normal",1)
    ANP("Pushcart1","normal",1)
    WAI(32)
    FAC("sue_normal")MS3("糟了！")
    CAT("\n出口被巨石挡住了！")NOD()CLR()
    FAC()CAT("哇！又这么倒霉嘛，")NOD()
    CAT("\n那我们岂不是要埋葬在这了。")NOD()CLR()
    FAC("toroko_><")CAT("不要放弃呐！")NOD()
    FAC("toroko_normal")CAT("\n一定还有别的出口的！")NOD()CLO()
    --杰克出现
    SNP("CS_jack_animate",-1,13,1,"mainLayer","Jack1")
    ANP("Jack1","no_gravity",1)--开启无重力
    ANP("Jack1","run",1)
    WAI(128)
    ANP("Jack1","normal",1)
    WAI(32)
    ---[[
    FAC("jack_normal")MS3("\n你们还没出去嘛？")NOD()CLR()
    ANP("Santa1","normal",0)
    ANP("Chako1","normal",0)
    ANP("Sue1","normal",0)
    ANP("Toroko1","normal",0)
    FAC("sue_sad")MS3("如果我们能出去的话")
    CAT("\n就不会在这了...")NOD()CLR()
    FAC("sue_normal")CAT("\n话说间八没有和你在一起嘛？")NOD()CLR()
    FAC("jack_normal")CAT("他去里面找马宾了，")NOD()
    CAT("\n当时看他的表情")
    CAT("\n是不找到马宾不会罢休的，")NOD()
    FAC("jack_><")CAT("\n所以我也就没有阻拦了。")NOD()CLO()
    SNP("CS_fallblock",8,-2,0,"mainLayer","FallBlock3")
    WAI(64)
    ANP("FallBlock3",0,1)--固定
    SNP("CS_fallblock",2,-2,0,"mainLayer","FallBlock2")
    WAI(64)
    ANP("FallBlock2",0,1)--固定
    WAI(32)
    ANP("Jack1","normal",0)
    WAI(32)
    FAC("sue_sad")MS3("这下完蛋了，")NOD()
    CAT("\n回去的路也被堵死了，")NOD()
    ANP("Sue1","angry")
    FAC("sue_angry")CAT("\n简直倒霉到家了！")NOD()CLO()
    ANP("Sue1","normal")
    WAI(64)
    WAI(64)
    ANP("Sue1","back",1)
    FAC("sue_sad")MS3("\n所以已经没有希望了嘛....")NOD()CLR()
    FAC("toroko_><")CAT("一定有的！")NOD()
    CAT("\n多隆子是不会放弃希望的。")NOD()CLO()
    --]]
    WAI(64)
    SPL(0,"CS_mychar_quote_p1")
    SPL(1,"CS_mychar_curly_p2")
    FON("Camera0",1)--SPL命令会取消聚焦 需要重新聚焦
    SMC(1)
    MOV(20,0,1)
    SLR(1,1)
    WAI(32)
    SMC(0)
    MOV(18,0,0)
    SLR(1,0)
    WAI(96)
    FAC("curly_happy")MS3("原来你们都在出口这里啊！")NOD()
    CAT("\n我还打算下来去找你们。")NOD()CLO()
    ANP("Jack1","normal",1)
    ANP("Sue1","normal",0)
    WAI(32)
    MS3("哇！终于看到你们了！")NOD()
    CAT("\n我们有救了！！")NOD()CLO()
    WAI(32)
    SLR(0,1)
    WAI(60)
    SLR(1,1)
    WAI(32)
    FAC("curly_normal")MS3("看样子两边的路都被堵死了呢...")NOD()
    SLR(0,1)
    CAT("\n库特，你的飞弹还有剩吗？")NOD()CLR()
    AMC("switch_supermissile",1,0)
    FAC()CAT("\n.")WAI(16)CAT(".")WAI(16)CAT(".")WAI(16)CAT(".")WAI(16)CAT(".")WAI(16)CAT(".")WAI(16)CLR()
    FAC("curly_normal")CAT("看样子不足以炸开巨石了呢。")NOD()CLR()
    CAT("\n那么只能走下水道了。")NOD()CLO()
    FAO()
    WAI(32)
    for i=0,5,1 do
        SOU("CS_044_missile_hit")
        WAI(10)
    end
    WAI(32)
    SNP("CS_stream_noise",0,0,0,"mainLayer","StreamNoise1")
    MOV(17,13,0)SLR(1,0)--库特
    MNP("Jack1",16,13,1)ANP("Jack1","normal",1)
    MNP("Santa1",15,13,1)ANP("Santa1","normal",1)

    MOV(22,13,1)SLR(0,1)--卡莉
    MNP("Sue1",23,13,0)ANP("Sue1","normal",0)
    MNP("Toroko1",24,13,0)ANP("Toroko1","normal",0)
    MNP("Chako1",25,13,0)ANP("Chako1","normal",0)
    ANP("Fishtank1","clear")
    SNP("CS_arowana_animate",27,13,0,"mainLayer","Arowana1")--库龙
    ANP("Arowana1","ignoreMovePlatform",1)
    ANP("Arowana1","stand",0)
    CMP("cmpLayer_1","mainLayer")
    FAI(2)
    WAI(32)
    FAC("curly_normal")MS3("\n话说你们会游泳吗？")NOD()CLR()
    FAC("jack_><")CAT("\n不会...")NOD()CLR()
    FAC("sue_sad")CAT("\n完全不会...")NOD()CLR()
    FAC("toroko_><")CAT("\n多隆子的话可以在水里挣扎一会！")NOD()CLR()
    FAC("curly_sad")CAT("\n这下麻烦了。")NOD()CLR()
    FAC("sue_normal")CAT("\n话说杰克你们不是可以变成鱼嘛？")NOD()CLR()
    FAC("toroko_normal")CAT("\n对呀~变成鱼就不用怕了。")NOD()CLR()
    FAC("curly_normal")CAT("\n变成鱼？")NOD()CLO()
    PMU(5)
    WAI(32)
    SOU("CS_043_computer_beep")
    WAI(16)
    SOU("CS_043_computer_beep")
    WAI(16)
    SOU("CS_043_computer_beep")
    WAI(16)
    FAC("curly_normal")MS3("\n嗯？这个时候谁打电话来...")NOD()CLO()
    WAI(32)
    AMC("back",0,1)
    FAC("kazuma_normal")MS3("我已经飞到你们位置的正上空了。")NOD()
    CAT("\n布斯特博士也来支援你们了，")NOD()
    CAT("\n甚至米莎莉都来了。")NOD()CLR()
    FAC("curly_happy")CAT("\n是数码他们！")NOD()CLO()
    FAO(0)
    FOM()
    TRA("CS_sky2","Rescue1",0,0)
end

function Escape2()
    KEY()
    CMU("XXXX")
    SNP("CS_fallblock",36,12,0,"mainLayer","FallBlock1")ANP("FallBlock1","static")
    SNP("CS_fallblock",2,12,0,"mainLayer","FallBlock2")ANP("FallBlock2","static")
    SNP("CS_fallblock",8,12,0,"mainLayer","FallBlock3")ANP("FallBlock3","static")
    SMC(0)
    SMC(1)
    MOV(17,13,0)SLR(1,0)--库特
    SNP("CS_jack_animate",16,13,1,"mainLayer","Jack1")ANP("Jack1","normal",1)
    MNP("Santa1",15,13,1)ANP("Santa1","normal",1)
    MOV(22,13,1)SLR(0,1)--卡莉
    MNP("Sue1",23,13,0)ANP("Sue1","normal",0)
    MNP("Toroko1",24,13,0)ANP("Toroko1","normal",0)
    MNP("Chako1",25,13,0)ANP("Chako1","normal",0)
    MNP("Pushcart1",26,13,1)ANP("Pushcart1","normal",1)
    MNP("Fishtank1",27,12,1)ANP("Fishtank1","clear")
    SNP("CS_arowana_animate",27,13,0,"mainLayer","Arowana1")--库龙
    ANP("Arowana1","ignoreMovePlatform",1)
    ANP("Arowana1","stand",0)
    CMP("cmpLayer_1","mainLayer")
    FON("Camera0",1)
    SNP("CS_stream_noise",0,0,0,"mainLayer","StreamNoise1")
    FAI(0)
    WAI(32)
    FAC("curly_normal")MS3("他们说要往我们这边")
    CAT("\n打入一个巨大的变鱼魔法，")NOD()
    CAT("\n这样大家就可以安全的游泳离开这了。")NOD()CLR()
    ANP("Sue1","angry")
    FAC("sue_angry")CAT("\n变成鱼什么的感觉好酷！")NOD()CLR()
    FAC("toroko_normal")CAT("哈哈~")
    CAT("\n我也这么觉得呢~")NOD()CLR()
    ANP("Sue1","normal")
    FAC("jack_><")CAT("不过变成鱼这种事")
    CAT("\n我经历的都是不好的事啊。")NOD()CLR()
    FAC()CAT("是呀，")NOD()
    CAT("\n我和杰克除了要和海鲜搏斗，")NOD()
    CAT("\n还要逃离鲨鱼的追杀。")NOD()CLR()
    CAT("甚至最后被钓上")
    CAT("\n差点被你们作为食物吃掉...")NOD()
    CAT("\n简直倒霉透了...")NOD()CLR()
    FAC("curly_happy")CAT("感觉听起来")
    CAT("\n是个很有趣的冒险呢~")NOD()CLO()
    SOU("CS_043_computer_beep")
    WAI(16)
    SOU("CS_043_computer_beep")
    WAI(16)
    SOU("CS_043_computer_beep")
    WAI(16)
    FAC("kazuma_normal")MS3("大家准备好！")NOD()
    CAT("\n魔法要来了！")NOD()CLO()
    FAO(0)
    FOM()
    TRA("CS_sky2","Rescue2",0,0)
end

function Escape3()
    KEY()
    CMU("XXXX")
    SNP("CS_fallblock",36,12,0,"mainLayer","FallBlock1")ANP("FallBlock1","static")
    SNP("CS_fallblock",2,12,0,"mainLayer","FallBlock2")ANP("FallBlock2","static")
    SNP("CS_fallblock",8,12,0,"mainLayer","FallBlock3")ANP("FallBlock3","static")
    SMC(0)
    SMC(1)
    MOV(17,13,0)SLR(1,0)--库特
    SNP("CS_jack_animate",16,13,1,"mainLayer","Jack1")ANP("Jack1","normal",1)
    MNP("Santa1",15,13,1)ANP("Santa1","normal",1)
    MOV(22,13,1)SLR(0,1)--卡莉
    MNP("Sue1",23,13,0)ANP("Sue1","normal",0)
    MNP("Toroko1",24,13,0)ANP("Toroko1","normal",0)
    MNP("Chako1",25,13,0)ANP("Chako1","normal",0)
    MNP("Pushcart1",26,13,1)ANP("Pushcart1","normal",1)
    MNP("Fishtank1",27,12,1)ANP("Fishtank1","clear")
    SNP("CS_arowana_animate",27,13,0,"mainLayer","Arowana1")--库龙
    ANP("Arowana1","ignoreMovePlatform",1)
    ANP("Arowana1","stand",0)
    CMP("cmpLayer_1","mainLayer")
    SOU("CS_035_explosion1")
    WAI(32)
    SNP("CS_camera",-1,-1,0,"mainLayer","Camera1")ANP("Camera1","down")ANP("Camera1","set_speed",3)
    SNP("CS_camera",41,-1,0,"mainLayer","Camera2")ANP("Camera2","down")ANP("Camera2","set_speed",3)
    SNP("CS_magicthunder",0,0,1,"mainLayer","MagicThunder1")
    ANP("MagicThunder1","set_from")ANP("MagicThunder1","Camera1")
    ANP("MagicThunder1","set_target")ANP("MagicThunder1","Camera2")
    FON("Camera0",1)
    SNP("CS_stream_noise",0,0,0,"mainLayer","StreamNoise1")
    FAI(0)
    WAI(54)
    --大家变鱼
    SOU("CS_071_little_crash")
    ANP("Sue1","transform_fish")
    ANP("Toroko1","transform_fish")
    ANP("Chako1","transform_fish")
    ANP("Jack1","transform_fish")
    ANP("Santa1","transform_fish")
    AMC("transform_fish",-1,"CS_mychar_quote_p1")
    AMC("transform_fish",-1,"CS_mychar_curly_p2")
    WAI(32)
    ---[[
    FAC("sue_normal")MS3("\n你们全都变成鱼啦！哈哈。")NOD()CLR()
    FAC("jack_normal")CAT("\n你也是呢。")NOD()CLR()
    FAC("curly_happy")CAT("那么大家准备好了嘛？")NOD()
    CAT("\n一起跳下去逃离这里吧！")NOD()CLR()
    ANP("Arowana1","jump")
    WAI(16)
    SNP("CS_exclamation",27,12,0,"mainLayer","null")--感叹号
    FAC()CAT("\n等等！")NOD()CLR()
    FAC("curly_normal")CAT("嗯？")NOD()
    CAT("\n没听过的声音呢...")NOD()
    CAT("\n是谁在说话。")NOD()CLR()
    FAC()CAT("我听到下面的水流声音很急，")NOD()
    CAT("\n你们的体型又很小，")NOD()
    CAT("\n会被冲的七零八落的。")NOD()CLO()
    WAI(60)
    ANP("Toroko1","normal",1)
    WAI(30)
    SLR(1,1)
    ANP("Sue1","normal",1)
    ANP("Chako1","normal",1)
    WAI(32)
    FAC("toroko_normal")MS3("\n是鱼先生的声音呢~")NOD()CLR()
    FAC()CAT("我先跳下去看看下面的情况，")NOD()
    CAT("\n之后你们再一起下来。")NOD()CLR()
    CAT("跟在我后面游的话，")NOD()
    CAT("\n就不会被水流冲散了。")NOD()CLR()
    FAC("curly_happy")CAT("\n这个主意好！")NOD()CLR()
    FAC()CAT("\n那我跳下去了。")NOD()CLO()
    --]]
    WAI(32)
    ANP("Arowana1","walk")
    WAI(50)
    SOU("CS_026_quake")
    ANP("Arowana1","jump_to_water")
    WAI(16)
    ANP("Toroko1","normal",0)
    SLR(0,1)
    ANP("Sue1","normal",0)
    ANP("Chako1","normal",0)
    WAI(200)
    DNP("Arowana1")
    MS3("下面没问题，")NOD()
    CAT("\n你们快下来吧！")NOD()CLO()
    WAI(32)
    FAC("curly_happy")MS3("\n那么我先跳了！")NOD()CLO()
    AMC("jump_to_water",0,1)
    WAI(64)
    AMC("jump_to_water",1,0)
    WAI(16)
    FAC("sue_normal")MS3("\n库特！等等我！")NOD()CLO()
    ANP("Sue1","walk",0)
    WAI(16)
    ANP("Sue1","jump_to_water")
    ANP("Jack1","walk",1)
    WAI(8)
    ANP("Toroko1","walk",0)
    WAI(8)
    ANP("Jack1","jump_to_water",1)
    ANP("Santa1","walk",1)
    WAI(8)
    ANP("Chako1","walk",0)
    WAI(8)
    WAI(8)
    ANP("Toroko1","normal",0)
    WAI(8)
    ANP("Santa1","jump_to_water",1)
    WAI(8)
    ANP("Chako1","normal",0)
    WAI(32)
    FAC("chako_happy")MS3("怎么了？多隆子不敢跳吗？")NOD()CLR()
    FAC("toroko_><")CAT("\n有点...")NOD()CLR()
    FAC("chako_happy")CAT("没事的，")NOD()
    CAT("\n姐姐带你一起跳吧。")NOD()CLO()
    WAI(32)
    ANP("Chako1","walk",0)
    WAI(8)
    ANP("Toroko1","walk",0)
    WAI(8)
    ANP("Chako1","jump_to_water",0)
    ANP("Toroko1","jump_to_water",0)
    WAI(64)
    FAO(2)
    TRA("CS_fortress_underground2","Swimming",0,0)
end